Skip to main content
POST
/
noCo
/
api
/
v2
/
workspaces
/
{workspace_id}
/
tables
/
{table_id}
/
data
/
external
Get Table Data
curl --request POST \
  --url https://be.datagol.ai/noCo/api/v2/workspaces/{workspace_id}/tables/{table_id}/data/external \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
"{\n    \"requestPageDetails\": {\n        \"pageNumber\": 1,\n        \"pageSize\": 500\n    },\n    \"sortOptions\": [{\n      \"columnName\": \"first_name\",\n      \"direction\": \"DESC\"\n    }],\n    \"whereClause\": \"(`first_name` like '%d%' and `years_of_experience` > 4 and `start_date` between '2004-01-01' and '2009-12-31' and `is_active` = true)\"\n    // date should be in YYYY-MM-DD format\n}"
EOF

Headers

Path Parameters

workspace_id
string
required
table_id
string
required

Body

application/json

The body is of type object.

Response

200

Get Table Data